.. highlightlang:: none

.. _news:

お知らせ
========

1.1.0リリース - 2011/02/09
--------------------------

改良
++++

* TokenDelimitNullトークナイザーを追加。
* プラグイン登録APIの名前を改良。
  grn_db_register_by_name() -> grn_plugin_register() #834
* :ref:`select` の--query内で前方一致検索構文"キーワード*"対応。 #837
* groonga.pcにgroonga-suggest-create-datasetのパスが設定されている
  groonga_suggest_create_dataset変数を追加。

修正
++++

* ログにタイムスタンプの秒より小さい値が常に0になる問題を修正。
* サンプル内のスクリプトに実行属性がつかない問題を修正。
  （Daiki Uenoさんが報告）

感謝
++++

* Daiki Uenoさん

1.0.8リリース - 2011/02/02
--------------------------

修正
++++

* ShortText型カラムへデータ追加・削除を繰り返すとデータが壊れ
  ることがある問題を修正。
  （Mitsuhiro Shibuyaさんが報告）

感謝
++++

* Mitsuhiro Shibuyaさん

1.0.7リリース - 2011/01/29
--------------------------

改良
++++

* automake 1.9.6でも動作するようにした。 #508
* configureの最後に検出したMeCabの情報も表示するようにした。
* エラーメッセージをわかりやすくした。
* --enable-memory-debug付きでビルドしたときに終了時に未開放のメモリが
  割り当てられた場所を表示するようにした。
* ベクタの値を :ref:`load` するときにキャストに失敗したら、そ
  のことを報告するようにした。
* groongaのメモリリークを検出するユーティリティツール
  groonga-check-memory-leak.rbを追加。（インストールはされない。）
* :ref:`dump` がテーブル単位のダンプに対応。

修正
++++

* Mac OS Xでモジュールの拡張子の検出に失敗する問題を修正。
  （ongaeshiさんが報告）
* Mac OS Xではrealloc(ptr, 0)ではなくfree()を使うように修正。
* grntestで結果の比較が常に失敗していた問題を修正。
* groonga-suggest-learnerのメモリリークを修正。
* :ref:`load` 時のメモリリークを修正。
  （Kenichi Aramakiさんが報告）
* ベクタの値を出力するときのメモリリークを修正。

感謝
++++

* ongaeshiさん
* Kenichi Aramakiさん

1.0.6リリース - 2010/12/31
--------------------------

修正
++++

* *BSDでビルドできない問題を修正。（OBATA Akioさんが報告）

感謝
++++

* OBATA Akioさん

1.0.5リリース - 2010/12/29
--------------------------

改良
++++

* サジェスト機能用の学習プログラムを追加。
* groongaスクリプト内での行コメントに対応。（「#」以降を無視） #723
* :ref:`column_list` のXML出力対応。 #748
* 主キーが数値のテーブルを参照しているカラムでの比較演算に対応。 #776
* grntestがmlockの情報出力に対応。
* NetBSDでのビルドに対応。 （OBATA Akioさんがパッチ作成）
* MeCabトークナイザーが見つからない時のエラーメッセージをより親切にした。 #790
* 開いているファイルディスクリプタが多すぎてacceptできない状態の負荷を低減。 #802
* DragonFlyでのビルドに対応。 （OBATA Akioさんが報告）

変更
++++

* :ref:`table_list` のXML出力のタグ名をより適切な名前に変更。 #757

修正
++++

* :ref:`load` で存在しないカラムを--columnsで指定するとクラッシュする問題を修正。
  （Masahiro Tomitaさんが報告） #751
* :ref:`load` で配列でTABLE_NO_KEYなテーブルにレコードをロードできない問題を修正。
  （Masahiro Tomitaさんが報告） #750
* :ref:`delete` でTABLE_NO_KEYなテーブルのレコードを削除するとテーブルが壊れる
  問題を修正。
  （Masahiro Tomitaさんがパッチ作成） #794
* :ref:`load` で不正なJSONを指定した場合にそれ以降コマンドを受け付けなくなる
  問題を修正。 #807

感謝
++++

* Tomita Masahiroさん
* OBATA Akioさん

1.0.4リリース - 2010/11/29
--------------------------

改良
++++

* すべてのモジュールで同じ名前の関数をエクスポートするようにした。#624
* 不正な名前を指定したときに指定された名前も報告するようにした。
* :ref:`select` の--filter内での数値比較演算をサポート。 （@s3kiさんが報告）
* :ref:`grntest` の一行あたりの最大バイト数の制限を撤廃。 #608, #690
* Int8/UInt8/Int16/UInt16の等値比較にC言語の比較演算子を使用。 #660
* HTTP経由で存在しないパスにアクセスした時に存在しないパスを報告するように
  した。
* grn_table_cursor_next()をGRN_CURSOR_COLUMN_INDEX対応にした。
* 右辺が式の演算代入演算子をサポート。 #669
* zlib/LZOサポート付きでビルドされているかをチェックするAPIを追加。 #686
* grn_table_at()を公開。
* grn_db_touch()を公開。 #703
* コメント行に対応。 #723
* grn_bool型を追加。 #713

変更
++++

* プラグインの置き場所を変更: lib/groonga/modules/ -> lib/groonga/plugins/
  #624

修正
++++

* ドキュメントの誤字を修正。（OBATA Akioさんが報告）
* GRN_CURSOR_PREFIXが動作しない問題を修正。
* 索引が不正に大きくなる問題を修正。（Tomoatsu Shimadaさんが報告） #689

感謝
++++

* @s3kiさん
* OBATA Akioさん
* Tomoatsu Shimadaさん

1.0.3リリース - 2010/10/29
--------------------------

改良
++++

* CentOS/Fedora用パッケージをディストリビューションのルールに従うように改良。
  （上野乃毅さん）
* Fedoraのオフィシャルリポジトリに登録。（Daiki Uenoさん）
* GeoPointのキャストに対応。#515
* groongaコマンドに、--defalt-command-versionオプションの追加。
* statusの出力結果にコマンドバージョンを追加。
* :ref:`spec_search` の仕様を追加。
* :ref:`troubleshooting` を追加。
* 辞書検索のサンプルアプリケーションを追加。
* pkg-configがない場合はlibeditを検出しないようにした。 #540
* メモリデバッグ用オプション--enable-memory-debugを追加。
* 不正な関数呼び出しをチェックするようにした。#596
* テキストから数値へのキャスト処理を強化。#612, #613
  （Itagaki Takahiroさんが報告）
* クライアントモードでの--fileオプションのサポート。#578
* :ref:`spec_search` の挙動を動的に変更する``--match-escalation-threashold``
  起動オプションと``--match_escalation_threshold``selectオプションを追加。 #628

変更
++++

* 記号でトークンを区切るTokenBigramSplitSymbolを使用。 #225
* 時間の解像度をナノ秒に変更。
* パッケージを提供するUbuntuのバージョンをHardy, Lucidから
  Lucid, Marverickに変更。

修正
++++

* grn_table_cursor_open()のドキュメントを修正。
* メモリリークを修正。
* --disable-libeditオプションがヘルプメッセージと違う問題の修正。
  （MATSUU Takutoさんが報告）
* 警告を除去。（MATSUU Takutoさんが報告）
* grn_pat_at()でエンコードされたキーが常にGRN_NILになってしまう問題を修正。#514
* 固定長カラムにカラム長より短いデータを設定するとゴミが残ってしまう問題を修正。
* 不正なレコードがあるときにdumpすると落ちてしまう問題を修正。
* geo_in_rectangle()が無限ループする問題を修正。#563
* インデックスがついたカラムでソートすると結果がおかしくなる問題を修正。#571
* deleteが常に失敗する問題を修正。#541
* レコードを追加・削除したパトリシアトライからID順に取り出すカーソルが
  おかしな結果を返す問題を修正。#538
* 値が存在しないレコードがあるカラムでソートすると落ちる問題を修正。
* モジュールの初期化関数が複数回呼ばれる問題を修正。#567
* shutdownで終了しない問題を修正。#114
* 全文検索時に削除したレコードが返る問題を修正。#617
* 必要な時以外にMeCabの辞書チェックをしてしまう問題を修正。#555
* 存在しないパトリシアトライのレコードを参照すると落ちる問題を修正。#630
* インストールドキュメントの誤字を修正。（SHIMODA Hiroshiさんが報告）

感謝
++++

* Daiki Uenoさん
* MATSUU Takutoさん
* Itagaki Takahiroさん
* SHIMODA Hiroshiさん

1.0.2リリース - 2010/09/09
--------------------------

改良
++++

* :ref:`suggest` コマンドのサンプルを追加。（examples/dictionary/）

変更
++++

* HTTPで公開するディレクトリを指定する--admin-html-pathを--document-rootに変更。
* :ref:`select` コマンドのデフォルトの--output_columnsから_valueを削除。

修正
++++

* パッケージミスを修正。 （OBATA Akioさんが報告）
* GeoPointの度表記の解釈を修正。 #460

感謝
++++

* OBATA Akioさん


1.0.1リリース - 2010/09/06
--------------------------

改良
++++

* CentOS 5/Fedora 13用RPMの提供。（Daiki Uenoさん作成のspecがベース）

* ログパスのデフォルト値に--localstatedirを使用。（OBATA Akioさんが提案）

* BOM付きUTF-8に対応。

修正
++++

* JSON JQueryプラグインが同梱されていない問題の修正。

* テストが失敗する問題の修正。（OBATA Akioさんが報告）

感謝
++++

* Daiki Uenoさん
* OBATA Akioさん

1.0.0リリース - 2010/08/29
--------------------------

改良
++++

* 指定したクエリに対する補完・修正・提案を行う :ref:`suggest` コマンドを追加。

* :ref:`delete` コマンドが失敗したらfalseを返すように変更。（Itagaki Takahiroさんが提案）

修正
++++

* 関数もコマンドとして呼び出してしまう問題を修正。#431

* 索引付きカラムを等価条件で検索できない問題を修正。

* :ref:`delete` コマンドでキーがShortText以外のレコードを削除できない問題の修正。（Itagaki Takahiroさんが報告）

感謝
++++

* Itagaki Takahiroさん

0.7.7リリース - 2010/08/25
--------------------------

改良
++++

* 編集距離（レーベンシュタイン距離）を計算する
  :ref:`edit_distance` ()関数の追加。

* manを追加。

* :ref:`delete` コマンドでデータの整合性が壊れる場合はエラー
  を返すようにした。

* MeCabの辞書のエンコーディング検出処理を改善。

* デフォルトの設定ファイルを追加。

修正
++++

* :ref:`geo_in_rectangle` ()関数が引数を「左上」と「右下」で
  はなく、「左下」と「右上」と扱っていた問題を修正。

* 前方一致検索がマッチしない問題を修正。


0.7.6リリース - 2010/08/19
--------------------------

改良
++++

* デーモンになるときは標準出力を閉じるようにした。

* PIDファイルを指定する``--pid-path``オプションを追加。

* 設定ファイルを指定する``--config-path``オプションを追加。

* 最大キャッシュ数を指定する``--cache-limit``オプションを追加。

* 設定値を表示する``--show-config``オプションを追加。

* 指定したファイルからコマンドを読み込む``--file``オプションを追加。

* groongaとMeCabの辞書のエンコーディングが同じかどうかを確
  認するようにした。

* Web管理画面:

  - データロード機能を追加。
  - uptimeの表示形式を読みやすい形式に変更。

* Muninプラグインの追加。

  - クエリパフォーマンス計測用
  - ディスク使用量計測用

* libedit対応。

* 存在しないデータベースを指定したときのエラーメッセージを改善。

* loadコマンド:

  - 不正な文字を見つけた場合はログに出力。
  - 必要な項目がない場合はログに出力。
  - true/false/nullリテラルをサポート。
  - GeoPointの度での指定をサポート。
    （例: "35.6954581363924,139.564207350021"）
  - NO_KEYテーブルを参照しているカラム値をサポート。
  - 数値のベクタをサポート。

* selectコマンド

  - 索引を用いた高速なGeoPointの検索機能を追加。
  - 索引を用いた高速なGeoPointのソート機能を追加。
    （ただし複数のソートキーと一緒に使うことはできない。）
  - ベクタのGeoPointの出力に対応。
  - 不正な入力値に対してエラーを出力するようにした。

* dumpコマンド:

  - フラグを数値ではなくキーワードで出力するように変更。

* column_listコマンド:

  - _keyカラムの出力に対応。

* deleteコマンド:

  - データに不整合が発生する場合はデータを削除しないように変更。

* statusコマンド:

  - キャッシュ情報を追加。

* データの整合性を確認するcheckコマンドの追加。

* 強制的にロックを解除するclearlockコマンドの追加。

* 最大キャッシュ数を指定するcache_limitコマンドの追加。

* フラグメンテーションを解消するdefragコマンドの追加。

* データ投入後のインデックスカラム作成に対応。

修正
++++

* 不正なsortキーを指定された場合はSEGVする問題の修正。
* selectの出力に不正なカラムを指定された時にSEGVする問題を修正。
* 空のベクタをloadするとSEGVする問題の修正。
* メモリリークの修正。
* drilldown時に参照先が存在しない場合にSEGVする問題の修正。

感謝
++++

* おばたさん
